#
# spec file for package perl-Dist-Zilla-App-Command-cover
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla-App-Command-cover
Version:        1.101001
Release:        1.1
%define cpan_name Dist-Zilla-App-Command-cover
Summary:        Code coverage metrics for your distribution
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla-App-Command-cover/
Source:         http://www.cpan.org/authors/id/D/DO/DOHERTY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::Cover)
BuildRequires:  perl(Dist::Zilla::App)
BuildRequires:  perl(File::chdir)
BuildRequires:  perl(Module::Build) >= 0.3601
BuildRequires:  perl(Path::Class)
Requires:       perl(Devel::Cover)
Requires:       perl(Dist::Zilla::App)
Requires:       perl(File::chdir)
Requires:       perl(Path::Class)
%{perl_requires}

%description
This is a command plugin for the Dist::Zilla manpage. It provides the
'cover' command, which generates code coverage metrics for your
distribution using the Devel::Cover manpage.

If there were any test errors, the 'cover' command won't be run. Author and
release tests are not run since they should not be counted against code
coverage. Any additional command-line arguments are passed to the 'cover'
command.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README README.mkdn

%changelog
* Tue Dec 17 2013 coolo@suse.com
- initial package 1.101001
  * created by cpanspec 1.78.07
